VERSION 5.00
Begin VB.Form AlphaGamma 
   Caption         =   "Datalogger"
   ClientHeight    =   4845
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8670
   LinkTopic       =   "Form1"
   ScaleHeight     =   323
   ScaleMode       =   0  'Benutzerdefiniert
   ScaleWidth      =   501.77
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command4 
      Caption         =   "Clear EEPROM"
      Height          =   375
      Left            =   1560
      TabIndex        =   9
      Top             =   3720
      Width           =   1695
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Plotter"
      Height          =   375
      Left            =   5880
      TabIndex        =   6
      Top             =   4200
      Width           =   1575
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   3600
      Max             =   7
      TabIndex        =   4
      Top             =   3720
      Width           =   3855
   End
   Begin VB.CommandButton Command1 
      Caption         =   "New"
      Height          =   375
      Left            =   3600
      TabIndex        =   3
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Open"
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   4200
      Width           =   975
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "Logger.frx":0000
      Left            =   240
      List            =   "Logger.frx":0002
      TabIndex        =   1
      Text            =   "COM1"
      Top             =   3720
      Width           =   975
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   3150
      Left            =   600
      ScaleHeight     =   206
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   522
      TabIndex        =   0
      Top             =   240
      Width           =   7890
   End
   Begin VB.Label Label3 
      Caption         =   "1.2 V"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   1320
      Width           =   495
   End
   Begin VB.Label Label2 
      Caption         =   "1.0 V"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1680
      Width           =   495
   End
   Begin VB.Label Label1 
      Caption         =   "0"
      Height          =   255
      Left            =   7800
      TabIndex        =   5
      Top             =   3720
      Width           =   375
   End
End
Attribute VB_Name = "AlphaGamma"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Dim bin(256)



Private Sub Command1_Click()
  For n = 1 To 255
    bin(n) = 0
  Next n

  Picture1.Cls
  Y = 200 - 0
  Picture1.Line (1, Y)-(511, Y)
  Y = 200 - 60
  Picture1.Line (1, Y)-(511, Y)
  Y = 200 - 100
  Picture1.Line (1, Y)-(511, Y)
  Y = 200 - 80
  Picture1.Line (1, Y)-(511, Y)
  Y = 200 - 120
  Picture1.Line (1, Y)-(511, Y)
  
  Picture1.Line (128, 0)-(128, 255)
  Picture1.Line (256, 0)-(256, 255)
  Picture1.Line (384, 0)-(384, 255)

  CLEARBUFFER

End Sub

Private Sub Command2_Click()
  l = HScroll1.Value
  SENDBYTE l
  d2 = 0
  For n = 0 To 127
    d = READBYTE()
    If d = 0 Then d = 1
    If d2 = 0 Then d2 = d
    X1 = 4 * n
    X2 = 4 * n + 4
    Y2 = 200 - d
    Y1 = 200 - d2
    'If Y1 > 255 Then Y1 = 255
    'If Y2 > 255 Then Y2 = 255
    Picture1.Line (X1, Y1)-(X2, Y2)
    d2 = d
  Next n
End Sub

Private Sub Command3_Click()
   CLOSECOM
   If Combo1.ListIndex = 0 Then i = OPENCOM("COM1:9600,N,8,1")
   If Combo1.ListIndex = 1 Then i = OPENCOM("COM2:9600,N,8,1")
   If Combo1.ListIndex = 2 Then i = OPENCOM("COM3:9600,N,8,1")
   If Combo1.ListIndex = 3 Then i = OPENCOM("COM4:9600,N,8,1")
   If Combo1.ListIndex = 4 Then i = OPENCOM("COM5:9600,N,8,1")
   If Combo1.ListIndex = 5 Then i = OPENCOM("COM6:9600,N,8,1")
  If i = 0 Then
    MsgBox ("COM Interface Error")
    Timer1.Enabled = False
  Else
    'Timer1.Enabled = True
  End If
End Sub




Private Sub Command4_Click()
  SENDBYTE 100
End Sub

Private Sub Form_Load()
  Combo1.AddItem "COM1"
  Combo1.AddItem "COM2"
  Combo1.AddItem "COM3"
  Combo1.AddItem "COM4"
  Combo1.AddItem "COM5"
  Combo1.AddItem "COM6"
  Combo1.ListIndex = 1

End Sub

Private Sub Form_Unload(Cancel As Integer)
    CLOSECOM
End Sub


Private Sub HScroll1_Change()
 l = HScroll1.Value
 Label1.Caption = Str(l)
End Sub

Private Sub Timer1_Timer()
  While INBUFFER() > 0
    d = READBYTE()
    bin(d) = bin(d) + 1
  Wend
End Sub
